Endpoints

List endpoints

All endpoints in the key's workspace, newest first.

GET
/api/v1/endpoints
AuthorizationBearer <token>

API key in the Authorization header: Authorization: Bearer wv_live_…. Keys are created on the API keys page in the app, shown once, and scoped to your workspace. X-Api-Key: wv_live_… is accepted as a fallback for tools that can't set Authorization.

In: header

Query Parameters

page?integer

1-based page number.

Default1
Range1 <= value
pageSize?integer

Items per page, 1–100.

Default50
Range1 <= value <= 100

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "url": "string",
      "isActive": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "lastRequestAt": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z",
      "storedRequestCount": 0,
      "responseStatusCode": 0,
      "responseContentType": "string",
      "responseHeaders": {
        "property1": "string",
        "property2": "string"
      },
      "responseBody": "string",
      "forwardingEnabled": true,
      "forwardUrl": "string"
    }
  ],
  "totalCount": 0,
  "page": 0,
  "pageSize": 0,
  "totalPages": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "traceId": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "traceId": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "traceId": "string"
}

On this page